---
title: "Create Sub-Account"
slug: "create-sub-account"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Sub-Account

Post/v1/sub-accounts

Create a new Sub-Account for a specific Control Account.

**Required fields:** `name`, `wasabiAccountEmail`, `password` (unless `sendWelcomeEmail` is true)

**Note:** If `storageQuotaType` is "Hard quota", then `purchasedStorageTB` must be a positive number.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Body parameters<select class='api-response-data' aria-label='Media type'><option value='c333912f-5185-440f-8373-0d9f6a2880cf'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5f37257c-deb3-4a35-837d-a2a2142aab3c'>minimal</option>
<option value='98adad5c-d07c-4466-b6c3-bee2d718b8bb'>full</option>
<option value='6d796869-bc63-40b0-afb0-7dd2901dc786'>trial</option>
</select>minimal

Required fields only

```json
{
  "name": "sample-sub-account",
  "wasabiAccountEmail": "wasabi-wacm-api@gmail.com",
  "password": "SecurePass123!"
}
```

full

All fields

```json
{
  "controlAccountId": "12345",
  "name": "sample-sub-account",
  "wasabiAccountEmail": "wasabi-wacm-api@gmail.com",
  "password": "SecurePass123!",
  "sendPasswordResetToSubAccountEmail": "True",
  "passwordResetRequired": "False",
  "ftpEnabled": "True",
  "isTrial": "False",
  "purchasedStorageTB": "2",
  "storageQuotaType": "Soft quota",
  "sendWelcomeEmail": "False",
  "address1": "123 Main St",
  "city": "Boston",
  "country": "United States",
  "state": "Massachusetts",
  "zip": "02101"
}
```

trial

Trial account

```json
{
  "name": "trial-sub-account",
  "wasabiAccountEmail": "trial@example.com",
  "password": "SecurePass123!",
  "isTrial": "True",
  "trialQuotaTB": "1",
  "trialDays": "30"
}
```

object  controlAccountIdinteger    

Required for Wasabi Admin and Governance Account users.

namestring    Required

Sub-Account name. Cannot start with a space.

Min length3Max length100
wasabiAccountEmailstring  (email)    Required
passwordstring    Required

Required unless sendWelcomeEmail is true. Must be 6+ chars with digit, mixed case, and special char.

sendPasswordResetToSubAccountEmailboolean    
passwordResetRequiredboolean    
ftpEnabledboolean    
isTrialboolean    
trialQuotaTBnumber    
trialDaysinteger    
channelAccountIdinteger   | null  
purchasedStorageTBnumber    

Storage quota in TB. Required if storageQuotaType is "Hard quota".

Minimum0
storageQuotaTypestring    Valid values[
  "Soft quota",
  "Hard quota"
]Default"Soft quota"
sendWelcomeEmailboolean    

If true, sends welcome email and ignores password field.

address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring  (email)    
billingEmailstring  (email)    
taxIdstring    
businessNumberstring    
fiscalNumberstring    
vatNumberstring    
websitestring    

Responses200

Successfully created sub-account

<select class='api-response-data' aria-label='Media type'><option value='36edc210-58c3-45a7-aeae-b456f3aec2c2'>application/json</option>
</select>

```json
{
  "success": "True",
  "code": "RES-I-0001",
  "message": "Sub-Account has been successfully created!",
  "data": {
    "id": "54322",
    "name": "sample-sub-account",
    "wasabiAccountNumber": "100123457",
    "wasabiAccountEmail": "wasabi-wacm-api@gmail.com",
    "creationDate": "2024-01-15T14:00:00Z",
    "status": "PAID_ACCOUNT",
    "sendPasswordResetToSubAccountEmail": "False",
    "ftpEnabled": "True",
    "purchasedStorageTB": "1",
    "storageQuotaType": "Soft quota",
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "channelAccountId": "53211",
    "channelAccountName": "Sample Channel Account",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "mfaEnabled": "False"
  }
}
```

Expand Allobject  successboolean    
codestring    
messagestring    
dataobject (SubAccountCreateResponse)  idinteger    
namestring    
wasabiAccountNumberinteger    
wasabiAccountEmailstring    
creationDatestring  (date-time)    
statusstring    
sendPasswordResetToSubAccountEmailboolean    
ftpEnabledboolean    
trialQuotaTBinteger    
trialExpirationstring  (date-time)    
accessKeystring    
secretKeystring    
channelAccountIdinteger    
channelAccountNamestring    
purchasedStorageTBnumber    
storageQuotaTypestring    
mfaEnabledboolean    
controlAccountIdinteger    

Included for Wasabi Admin and Governance Account users

controlAccountNamestring    

Included for Wasabi Admin and Governance Account users

governanceAccountIdinteger    

Included for Wasabi Admin users only

governanceAccountNamestring    

Included for Wasabi Admin users only
